Bug 496135 - missing dependency on PyXML
missing dependency on PyXML
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
Reported: 2009-04-16 15:44 EDT by Ruben Kerkhof
Modified: 2009-10-13 06:49 EDT (History)
6 users (show)

See Also:
Fixed In Version: xen-3.4.1-5.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-10-13 06:49:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ruben Kerkhof 2009-04-16 15:44:48 EDT
Description of problem:

Running xm create produces the following error:

root@localhost ~]# xm create fedora.cfg
Using config file "/etc/xen/fedora.cfg".
Unexpected error: <type 'exceptions.ImportError'>

Please report to xen-devel@lists.xensource.com
Traceback (most recent call last):
  File "/usr/sbin/xm", line 10, in <module>
  File "/usr/lib64/python2.6/site-packages/xen/xm/main.py", line 2884, in main
    _, rc = _run_cmd(cmd, cmd_name, args)
  File "/usr/lib64/python2.6/site-packages/xen/xm/main.py", line 2908, in _run_cmd
    return True, cmd(args)
  File "<string>", line 1, in <lambda>
  File "/usr/lib64/python2.6/site-packages/xen/xm/main.py", line 1376, in xm_importcommand
    cmd.main([command] + args)
  File "/usr/lib64/python2.6/site-packages/xen/xm/create.py", line 1313, in main
    from xen.xm.xenapi_create import sxp2xml
  File "/usr/lib64/python2.6/site-packages/xen/xm/xenapi_create.py", line 23, in <module>
    from xml.parsers.xmlproc import xmlproc, xmlval, xmldtd
ImportError: No module named xmlproc

The xmlproc module comes from the PyXML package

Version-Release number of selected component (if applicable):

[root@localhost ~]# rpm -q xen

How reproducible:

Run xm create after enabling the new-style api.

Steps to Reproduce:
1. Enable the new-style api in /etc/xen/xm-config.xml:
<server type='Xen-API' uri='httpu:///var/run/xend/xen-api.sock' />
2. Run xm create domain.cfg
Comment 1 Bug Zapper 2009-06-09 09:57:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 2 Justin M. Forbes 2009-10-09 11:03:42 EDT
* Thu Oct 7 2009 Justin M. Forbes <jforbes@redhat.com> - 3.4.1-5
- add PyXML to dependencies. (#496135)
- Take ownership of {_libdir}/fs (#521806)
Comment 3 Justin M. Forbes 2009-10-09 13:36:37 EDT
tag request: https://fedorahosted.org/rel-eng/ticket/2432
Comment 4 Mark McLoughlin 2009-10-13 06:49:22 EDT
tagged into f12-beta

Note You need to log in before you can comment on or make changes to this bug.